﻿namespace TestServer.Services
{
    /// <summary>
    /// 토큰 빌더 인터페이스
    /// </summary>
    public interface ITokenBuilder
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 토큰 만들기 - BuildToken(userName)

        /// <summary>
        /// 토큰 만들기
        /// </summary>
        /// <param name="userName">사용자명</param>
        /// <returns>JWT 토큰</returns>
        string BuildToken(string userName);

        #endregion
    }
}